<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerDataWA extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 1) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_owner/insert_model');
        $this->load->model('bagian_owner/select_model');
        $this->load->model('bagian_owner/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif                 = $this->notifikasi->notif_owner();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page
        // Menampilkan saldo pertama koperasi 
        $data_table = $this->db->get_where('sistem_wa')->result();
        $jml_data   = count($data_table);
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'database/sistem/whatsapp',
            'page'                => 'index',
            'judul'               => 'Kelola Database Bagian Sistem WhatsApp || Bagian Pengurus',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'jml_data'            => $jml_data,
            'data_table'          => $data_table
        );
        $this->load->view('owner/index', $data);
    }
    // Crud
    public function crud()
    {
        if (isset($_POST['updateDatabaseTerbaru'])) :
            $data = array(
                'endpoint_url'    => htmlspecialchars($this->input->post('endpoint_url')),
                'api_key'         => htmlspecialchars($this->input->post('api_key')),
                'ket_wa'          => htmlspecialchars($this->input->post('ket_wa')),
                'no_hp'           => htmlspecialchars($this->input->post('no_hp')),
                'status'          => htmlspecialchars($this->input->post('status')),
                'uji_coba'        => htmlspecialchars($this->input->post('uji_coba')),
                'format_wa'       => htmlspecialchars($this->input->post('format_wa'))
            );
            $this->db->where('id', htmlspecialchars($this->input->post('wa_id')));
            $this->db->update('sistem_wa', $data);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Merubah Data!</div>');
            redirect('owner/database/sistem/whatsapp');
        endif;
        if (isset($_POST['simpanDataWA'])) :
            $data = array(
                'endpoint_url'    => htmlspecialchars($this->input->post('endpoint_url')),
                'api_key'         => htmlspecialchars($this->input->post('api_key')),
                'ket_wa'          => htmlspecialchars($this->input->post('ket_wa')),
                'no_hp'           => htmlspecialchars($this->input->post('no_hp')),
                'status'          => htmlspecialchars($this->input->post('status')),
                'uji_coba'        => htmlspecialchars($this->input->post('uji_coba')),
                'format_wa'       => htmlspecialchars($this->input->post('format_wa'))
            );
            $this->db->insert('sistem_wa', $data);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Merubah Data!</div>');
            redirect('owner/database/sistem/whatsapp');
        endif;
    }
}

/* End of file ControllerDataWA.php and path \application\controllers\owner\database\sistem\ControllerDataWA.php */